Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# TAO_POA_RT_Policy_Validator Class Reference

`#include <RT_Policy_Validator.h>`

Inheritance diagram for TAO_POA_RT_Policy_Validator:

[legend]
Collaboration diagram for TAO_POA_RT_Policy_Validator:

[legend]
List of all members.

## Public Member Functions
| TAO_POA_RT_Policy_Validator (TAO_ORB_Core &orb_core)
| Constructor.
| ~TAO_POA_RT_Policy_Validator (void)
| Destructor.
## Static Public Member Functions
RTCORBA::ServerProtocolPolicy_ptr | server_protocol_policy_from_thread_pool (TAO_Thread_Pool *thread_pool, TAO_ORB_Core &orb_core)
void | server_protocol_policy_from_acceptor_registry (RTCORBA::ProtocolList &protocols, TAO_Acceptor_Registry &acceptor_registry, TAO_ORB_Core &orb_core)
TAO_Thread_Pool * | extract_thread_pool (TAO_ORB_Core &orb_core, TAO_Policy_Set &policies)
## Protected Member Functions
void | validate_impl (TAO_Policy_Set &policies)
void | merge_policies_impl (TAO_Policy_Set &policies)
| Add/merge policies.
virtual CORBA::Boolean | legal_policy_impl (CORBA::PolicyType type)
## Private Member Functions
void | validate_server_protocol (TAO_Policy_Set &policies)
void | validate_priorities (TAO_Policy_Set &policies)
void | validate_thread_pool (TAO_Policy_Set &policies)
## Private Attributes
TAO_Thread_Pool * | thread_pool_

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_POA_RT_Policy_Validator::TAO_POA_RT_Policy_Validator | ( | TAO_ORB_Core & | orb_core | ) |

| Constructor.

TAO_POA_RT_Policy_Validator::~TAO_POA_RT_Policy_Validator | ( | void |  | ) |

| Destructor.

## Member Function Documentation

TAO_Thread_Pool * TAO_POA_RT_Policy_Validator::extract_thread_pool | ( | TAO_ORB_Core & | orb_core,
|  | TAO_Policy_Set & | policies
| ) | `[static]`

CORBA::Boolean TAO_POA_RT_Policy_Validator::legal_policy_impl | ( | CORBA::PolicyType | type | ) | `[protected, virtual]`

| Return whether the specified policy type is legal for the current configuration. This is needed since the user can potentially specify policies that are unknown to an validate () routine, and these need to be caught. Implements TAO_Policy_Validator.

void TAO_POA_RT_Policy_Validator::merge_policies_impl | ( | TAO_Policy_Set & | policies | ) | `[protected, virtual]`

| Add/merge policies. Implements TAO_Policy_Validator.

void TAO_POA_RT_Policy_Validator::server_protocol_policy_from_acceptor_registry | ( | RTCORBA::ProtocolList & | protocols,
|  | TAO_Acceptor_Registry & | acceptor_registry,
|  | TAO_ORB_Core & | orb_core
| ) | `[static]`

RTCORBA::ServerProtocolPolicy_ptr TAO_POA_RT_Policy_Validator::server_protocol_policy_from_thread_pool | ( | TAO_Thread_Pool * | thread_pool,
|  | TAO_ORB_Core & | orb_core
| ) | `[static]`

void TAO_POA_RT_Policy_Validator::validate_impl | ( | TAO_Policy_Set & | policies | ) | `[protected, virtual]`

| Validate that the policies in the specified set are consistent and legal. Throw an appropriate exception if that is not the case. Implements TAO_Policy_Validator.

void TAO_POA_RT_Policy_Validator::validate_priorities | ( | TAO_Policy_Set & | policies | ) | `[private]`

void TAO_POA_RT_Policy_Validator::validate_server_protocol | ( | TAO_Policy_Set & | policies | ) | `[private]`

void TAO_POA_RT_Policy_Validator::validate_thread_pool | ( | TAO_Policy_Set & | policies | ) | `[private]`

## Member Data Documentation

TAO_Thread_Pool* TAO_POA_RT_Policy_Validator::thread_pool_`[private]`

The documentation for this class was generated from the following files:

- RT_Policy_Validator.h
- RT_Policy_Validator.cpp